gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-deployment] branch master updated: Addressing #5728


From: gnunet
Subject: [GNUnet-SVN] [taler-deployment] branch master updated: Addressing #5728
Date: Wed, 22 May 2019 16:45:57 +0200

This is an automated email from the git hooks/post-receive script.

marcello pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 3bb1d20  Addressing #5728
3bb1d20 is described below

commit 3bb1d2060390dbc17a542f76c7c8974cc0b25b64
Author: Marcello Stanisci <address@hidden>
AuthorDate: Wed May 22 16:45:51 2019 +0200

    Addressing #5728
---
 taler-build/cat_failed.sh      | 25 +++++++++++++++++++++++++
 taler-build/update_exchange.sh |  6 ++++--
 taler-build/update_merchant.sh |  5 +++--
 3 files changed, 32 insertions(+), 4 deletions(-)

diff --git a/taler-build/cat_failed.sh b/taler-build/cat_failed.sh
new file mode 100755
index 0000000..2b09d3a
--- /dev/null
+++ b/taler-build/cat_failed.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+cat_failed ()
+{
+ if ! test -d "$1"; then
+   echo ERROR dumping the failing test logs.
+   echo
+   echo Give valid directory to start crawling.
+   echo Example ./cat_failed.sh dir/
+   echo
+   return 1
+ fi
+ 
+ for trs in $(find "$1" -name *.trs) ; do
+   
+   head -q -n1 < $trs | grep -q FAIL
+ 
+   if test $? = 0; then
+     filename_log=$(echo ${trs}|sed -e 's/trs$/log/')
+     cat ${filename_log}
+   fi
+ 
+ done
+ return 0
+}
diff --git a/taler-build/update_exchange.sh b/taler-build/update_exchange.sh
index 1449c2b..8b219bc 100755
--- a/taler-build/update_exchange.sh
+++ b/taler-build/update_exchange.sh
@@ -2,6 +2,8 @@
 
 set -eu
 
+source ./cat_failed.sh
+
 cd $HOME/exchange
 git clean -fdx
 
@@ -38,7 +40,7 @@ TOP=$(pwd)
   lcov -d $TOP -z
   TALER_AUDITORDB_POSTGRES_CONFIG=$TALER_CHECKDB \
   TALER_EXCHANGEDB_POSTGRES_CONFIG=$TALER_CHECKDB \
-  TALER_BANK_ALTDB=$TALER_CHECKDB make check || exit 1
+  TALER_BANK_ALTDB=$TALER_CHECKDB make check || cat_failed .; exit 1
   lcov -d $TOP -c --no-external -o doc/coverage/coverage.info
   lcov -r doc/coverage/coverage.info **/test_* -o doc/coverage/rcoverage.info
   genhtml -o doc/coverage doc/coverage/rcoverage.info
@@ -47,5 +49,5 @@ else
   echo "checkdb: $TALER_CHECKDB"
   TALER_AUDITORDB_POSTGRES_CONFIG=$TALER_CHECKDB \
   TALER_EXCHANGEDB_POSTGRES_CONFIG=$TALER_CHECKDB \
-  TALER_BANK_ALTDB=$TALER_CHECKDB make check
+  TALER_BANK_ALTDB=$TALER_CHECKDB make check || cat_failed .; exit 1
 fi
diff --git a/taler-build/update_merchant.sh b/taler-build/update_merchant.sh
index ed6cc00..260b200 100755
--- a/taler-build/update_merchant.sh
+++ b/taler-build/update_merchant.sh
@@ -3,6 +3,7 @@
 # Run as:
 # $ ./update_merchant.sh [--coverage]
 set -eu
+source cat_failed.sh
 
 cd $HOME/merchant/
 git clean -fdx
@@ -47,7 +48,7 @@ TOP=$(pwd)
   TALER_MERCHANTDB_POSTGRES_CONFIG=$TALER_CHECKDB \
   TALER_EXCHANGEDB_POSTGRES_CONFIG=$TALER_CHECKDB \
   TALER_AUDITORDB_POSTGRES_CONFIG=$TALER_CHECKDB \
-  make check || exit 1
+  make check || cat_failed .;  exit 1
   lcov -d $TOP -c --no-external -o doc/coverage/coverage.info
   lcov -r doc/coverage/coverage.info **/test_* -o doc/coverage/rcoverage.info
   genhtml -o doc/coverage doc/coverage/rcoverage.info
@@ -56,5 +57,5 @@ else
   TALER_MERCHANTDB_POSTGRES_CONFIG=$TALER_CHECKDB \
   TALER_EXCHANGEDB_POSTGRES_CONFIG=$TALER_CHECKDB \
   TALER_AUDITORDB_POSTGRES_CONFIG=$TALER_CHECKDB \
-  make check
+  make check || cat_failed .; exit 1
 fi

-- 
To stop receiving notification emails like this one, please contact
address@hidden



reply via email to

[Prev in Thread] Current Thread [Next in Thread]